nodes / lxc
62 operations.
GET /nodes/{node}/lxc
proxmox.nodes.$(node).lxc.$get()LXC container index (per node).
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
POST /nodes/{node}/lxc
proxmox.nodes.$(node).lxc.$post()Create or restore a container.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
arch | amd64 | i386 | arm64 | armhf | riscv32 | riscv64 | OS architecture type. — default "amd64" | |
bwlimit | number | Override I/O bandwidth limit (in KiB/s). — min 0, default "restore limit from datacenter or storage config" | |
cmode | shell | console | tty | Console mode. By default, the console command tries to open a connection to one of the available tty devices. By setting cmode to 'console' it tries to attach to /dev/console instead. If you set cmode to 'shell', it simply invokes a shell inside the container (no login). — default "tty" | |
console | boolean | Attach a console device (/dev/console) to the container. — default 1 | |
cores | number | The number of cores assigned to the container. A container can use all available cores by default. — min 1, max 8192 | |
cpulimit | number | Limit of CPU usage. NOTE: If the computer has 2 CPUs, it has a total of '2' CPU time. Value '0' indicates no CPU limit. — min 0, max 8192, default 0 | |
cpuunits | number | CPU weight for a container, will be clamped to [1, 10000] in cgroup v2. — min 0, max 500000, default "cgroup v1: 1024, cgroup v2: 100" | |
debug | boolean | Try to be more verbose. For now this only enables debug log-level on start. — default 0 | |
description | string | Description for the Container. Shown in the web-interface CT's summary. This is saved as comment inside the configuration file. — ≤ 8192 chars | |
dev0…dev255 | string | Device to pass through to the container | |
entrypoint | string | Command to run as init, optionally with arguments; may start with an absolute path, relative path, or a binary in $PATH. — default "/sbin/init" | |
env | string | The container runtime environment as NUL-separated list. Replaces any lxc.environment.runtime entries in the config. | |
features | string | Allow containers access to advanced features. | |
force | boolean | Allow to overwrite existing container. | |
ha-managed | boolean | Add the CT as a HA resource after it was created. — default 0 | |
hookscript | string | Script that will be executed during various steps in the containers lifetime. — format pve-volume-id | |
hostname | string | Set a host name for the container. — format dns-name, ≤ 255 chars | |
ignore-unpack-errors | boolean | Ignore errors when extracting the template. | |
lock | backup | create | destroyed | disk | fstrim | migrate | mounted | rollback | … (2 more) | Lock/unlock the container. | |
memory | number | Amount of RAM for the container in MB. — min 16, default 512 | |
mp0…mp255 | string | Use volume as container mount point. Use the special syntax STORAGE_ID:SIZE_IN_GiB to allocate a new volume. | |
nameserver | string | Sets DNS server IP address for a container. Create will automatically use the setting from the host if you neither set searchdomain nor nameserver. — format lxc-ip-with-ll-iface-list | |
net0…net31 | string | Specifies network interfaces for the container. | |
node | string | yes | The cluster node name. — format pve-node |
onboot | boolean | Specifies whether a container will be started during system bootup. — default 0 | |
ostemplate | string | yes | The OS template or backup file. — ≤ 255 chars |
ostype | debian | devuan | ubuntu | centos | fedora | opensuse | archlinux | alpine | … (3 more) | OS type. This is used to setup configuration inside the container, and corresponds to lxc setup scripts in /usr/share/lxc/config/<ostype>.common.conf. Value 'unmanaged' can be used to skip and OS specific setup. | |
password | string | Sets root password inside container. | |
pool | string | Add the VM to the specified pool. — format pve-poolid | |
protection | boolean | Sets the protection flag of the container. This will prevent the CT or CT's disk remove/update operation. — default 0 | |
restore | boolean | Mark this as restore task. | |
rootfs | string | Use volume as container root. | |
searchdomain | string | Sets DNS search domains for a container. Create will automatically use the setting from the host if you neither set searchdomain nor nameserver. — format dns-name-list | |
ssh-public-keys | string | Setup public SSH keys (one key per line, OpenSSH format). | |
start | boolean | Start the CT after its creation finished successfully. — default 0 | |
startup | string | Startup and shutdown behavior. Order is a non-negative number defining the general startup order. Shutdown in done with reverse ordering. Additionally you can set the 'up' or 'down' delay in seconds, which specifies a delay to wait before the next VM is started or stopped. — format pve-startup-order | |
storage | string | Default Storage. — format pve-storage-id, default "local" | |
swap | number | Amount of SWAP for the container in MB. — min 0, default 512 | |
tags | string | Tags of the Container. This is only meta information. — format pve-tag-list | |
template | boolean | Enable/disable Template. — default 0 | |
timezone | string | Time zone to use in the container. If option isn't set, then nothing will be done. Can be set to 'host' to match the host time zone, or an arbitrary time zone option from /usr/share/zoneinfo/zone.tab — format pve-ct-timezone | |
tty | number | Specify the number of tty available to the container — min 0, max 6, default 2 | |
unique | boolean | Assign a unique random ethernet address. | |
unprivileged | boolean | Makes the container run as unprivileged user. For creation, the default is 1. For restore, the default is the value from the backup. (Should not be modified manually.) — default 0 | |
unused0…unused255 | string | Reference to unused volumes. This is used internally, and should not be modified manually. | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}
proxmox.nodes.$(node).lxc.$(vmid).$get()Directory index
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
DELETE /nodes/{node}/lxc/{vmid}
proxmox.nodes.$(node).lxc.$(vmid).$delete()Destroy the container (also delete all uses files).
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
destroy-unreferenced-disks | boolean | If set, destroy additionally all disks with the VMID from all enabled storages which are not referenced in the config. | |
force | boolean | Force destroy, even if running. — default 0 | |
node | string | yes | The cluster node name. — format pve-node |
purge | boolean | Remove container from all related configurations. For example, backup jobs, replication jobs or HA. Related ACLs and Firewall entries will always be removed. — default 0 | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
POST /nodes/{node}/lxc/{vmid}/clone
proxmox.nodes.$(node).lxc.$(vmid).clone.$post()Create a container clone/copy
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
bwlimit | number | Override I/O bandwidth limit (in KiB/s). — min 0, default "clone limit from datacenter or storage config" | |
description | string | Description for the new CT. | |
full | boolean | Create a full copy of all disks. This is always done when you clone a normal CT. For CT templates, we try to create a linked clone by default. | |
hostname | string | Set a hostname for the new CT. — format dns-name | |
newid | number | yes | VMID for the clone. — format pve-vmid, min 100, max 999999999 |
node | string | yes | The cluster node name. — format pve-node |
pool | string | Add the new CT to the specified pool. — format pve-poolid | |
snapname | string | The name of the snapshot. — format pve-configid, ≤ 40 chars | |
storage | string | Target storage for full clone. — format pve-storage-id | |
target | string | Target node. Only allowed if the original VM is on shared storage. — format pve-node | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/config
proxmox.nodes.$(node).lxc.$(vmid).config.$get()Get container configuration.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
current | boolean | Get current values (instead of pending values). — default 0 | |
node | string | yes | The cluster node name. — format pve-node |
snapshot | string | Fetch config values from given snapshot. — format pve-configid, ≤ 40 chars | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
PUT /nodes/{node}/lxc/{vmid}/config
proxmox.nodes.$(node).lxc.$(vmid).config.$put()Set container options.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
arch | amd64 | i386 | arm64 | armhf | riscv32 | riscv64 | OS architecture type. — default "amd64" | |
cmode | shell | console | tty | Console mode. By default, the console command tries to open a connection to one of the available tty devices. By setting cmode to 'console' it tries to attach to /dev/console instead. If you set cmode to 'shell', it simply invokes a shell inside the container (no login). — default "tty" | |
console | boolean | Attach a console device (/dev/console) to the container. — default 1 | |
cores | number | The number of cores assigned to the container. A container can use all available cores by default. — min 1, max 8192 | |
cpulimit | number | Limit of CPU usage. NOTE: If the computer has 2 CPUs, it has a total of '2' CPU time. Value '0' indicates no CPU limit. — min 0, max 8192, default 0 | |
cpuunits | number | CPU weight for a container, will be clamped to [1, 10000] in cgroup v2. — min 0, max 500000, default "cgroup v1: 1024, cgroup v2: 100" | |
debug | boolean | Try to be more verbose. For now this only enables debug log-level on start. — default 0 | |
delete | string | A list of settings you want to delete. — format pve-configid-list | |
description | string | Description for the Container. Shown in the web-interface CT's summary. This is saved as comment inside the configuration file. — ≤ 8192 chars | |
dev0…dev255 | string | Device to pass through to the container | |
digest | string | Prevent changes if current configuration file has different SHA1 digest. This can be used to prevent concurrent modifications. — ≤ 40 chars | |
entrypoint | string | Command to run as init, optionally with arguments; may start with an absolute path, relative path, or a binary in $PATH. — default "/sbin/init" | |
env | string | The container runtime environment as NUL-separated list. Replaces any lxc.environment.runtime entries in the config. | |
features | string | Allow containers access to advanced features. | |
hookscript | string | Script that will be executed during various steps in the containers lifetime. — format pve-volume-id | |
hostname | string | Set a host name for the container. — format dns-name, ≤ 255 chars | |
lock | backup | create | destroyed | disk | fstrim | migrate | mounted | rollback | … (2 more) | Lock/unlock the container. | |
memory | number | Amount of RAM for the container in MB. — min 16, default 512 | |
mp0…mp255 | string | Use volume as container mount point. Use the special syntax STORAGE_ID:SIZE_IN_GiB to allocate a new volume. | |
nameserver | string | Sets DNS server IP address for a container. Create will automatically use the setting from the host if you neither set searchdomain nor nameserver. — format lxc-ip-with-ll-iface-list | |
net0…net31 | string | Specifies network interfaces for the container. | |
node | string | yes | The cluster node name. — format pve-node |
onboot | boolean | Specifies whether a container will be started during system bootup. — default 0 | |
ostype | debian | devuan | ubuntu | centos | fedora | opensuse | archlinux | alpine | … (3 more) | OS type. This is used to setup configuration inside the container, and corresponds to lxc setup scripts in /usr/share/lxc/config/<ostype>.common.conf. Value 'unmanaged' can be used to skip and OS specific setup. | |
protection | boolean | Sets the protection flag of the container. This will prevent the CT or CT's disk remove/update operation. — default 0 | |
revert | string | Revert a pending change. — format pve-configid-list | |
rootfs | string | Use volume as container root. | |
searchdomain | string | Sets DNS search domains for a container. Create will automatically use the setting from the host if you neither set searchdomain nor nameserver. — format dns-name-list | |
startup | string | Startup and shutdown behavior. Order is a non-negative number defining the general startup order. Shutdown in done with reverse ordering. Additionally you can set the 'up' or 'down' delay in seconds, which specifies a delay to wait before the next VM is started or stopped. — format pve-startup-order | |
swap | number | Amount of SWAP for the container in MB. — min 0, default 512 | |
tags | string | Tags of the Container. This is only meta information. — format pve-tag-list | |
template | boolean | Enable/disable Template. — default 0 | |
timezone | string | Time zone to use in the container. If option isn't set, then nothing will be done. Can be set to 'host' to match the host time zone, or an arbitrary time zone option from /usr/share/zoneinfo/zone.tab — format pve-ct-timezone | |
tty | number | Specify the number of tty available to the container — min 0, max 6, default 2 | |
unprivileged | boolean | Makes the container run as unprivileged user. For creation, the default is 1. For restore, the default is the value from the backup. (Should not be modified manually.) — default 0 | |
unused0…unused255 | string | Reference to unused volumes. This is used internally, and should not be modified manually. | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/feature
proxmox.nodes.$(node).lxc.$(vmid).feature.$get()Check if feature for virtual machine is available.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
feature | snapshot | clone | copy | yes | Feature to check. |
node | string | yes | The cluster node name. — format pve-node |
snapname | string | The name of the snapshot. — format pve-configid, ≤ 40 chars | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/firewall
proxmox.nodes.$(node).lxc.$(vmid).firewall.$get()Directory index.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/firewall/aliases
proxmox.nodes.$(node).lxc.$(vmid).firewall.aliases.$get()List aliases
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
POST /nodes/{node}/lxc/{vmid}/firewall/aliases
proxmox.nodes.$(node).lxc.$(vmid).firewall.aliases.$post()Create IP or Network Alias.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
cidr | string | yes | Network/IP specification in CIDR format. — format IPorCIDR |
comment | string | format pve-fw-comment-spec | |
name | string | yes | Alias name. — ≤ 64 chars |
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/firewall/aliases/{name}
proxmox.nodes.$(node).lxc.$(vmid).firewall.aliases.$(name).$get()Read alias.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
name | string | yes | Alias name. — ≤ 64 chars |
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
PUT /nodes/{node}/lxc/{vmid}/firewall/aliases/{name}
proxmox.nodes.$(node).lxc.$(vmid).firewall.aliases.$(name).$put()Update IP or Network alias.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
cidr | string | yes | Network/IP specification in CIDR format. — format IPorCIDR |
comment | string | format pve-fw-comment-spec | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
name | string | yes | Alias name. — ≤ 64 chars |
node | string | yes | The cluster node name. — format pve-node |
rename | string | Rename an existing alias. — ≤ 64 chars | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
DELETE /nodes/{node}/lxc/{vmid}/firewall/aliases/{name}
proxmox.nodes.$(node).lxc.$(vmid).firewall.aliases.$(name).$delete()Remove IP or Network alias.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
name | string | yes | Alias name. — ≤ 64 chars |
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/firewall/ipset
proxmox.nodes.$(node).lxc.$(vmid).firewall.ipset.$get()List IPSets
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
POST /nodes/{node}/lxc/{vmid}/firewall/ipset
proxmox.nodes.$(node).lxc.$(vmid).firewall.ipset.$post()Create new IPSet
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
comment | string | format pve-fw-comment-spec | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
name | string | yes | IP set name. — ≤ 64 chars |
node | string | yes | The cluster node name. — format pve-node |
rename | string | Rename an existing IPSet. You can set 'rename' to the same value as 'name' to update the 'comment' of an existing IPSet. — ≤ 64 chars | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/firewall/ipset/{name}
proxmox.nodes.$(node).lxc.$(vmid).firewall.ipset.$(name).$get()List IPSet content
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
name | string | yes | IP set name. — ≤ 64 chars |
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
POST /nodes/{node}/lxc/{vmid}/firewall/ipset/{name}
proxmox.nodes.$(node).lxc.$(vmid).firewall.ipset.$(name).$post()Add IP or Network to IPSet.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
cidr | string | yes | Network/IP specification in CIDR format. — format IPorCIDRorAlias |
comment | string | format pve-fw-comment-spec | |
name | string | yes | IP set name. — ≤ 64 chars |
node | string | yes | The cluster node name. — format pve-node |
nomatch | boolean | ||
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
DELETE /nodes/{node}/lxc/{vmid}/firewall/ipset/{name}
proxmox.nodes.$(node).lxc.$(vmid).firewall.ipset.$(name).$delete()Delete IPSet
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
force | boolean | Delete all members of the IPSet, if there are any. | |
name | string | yes | IP set name. — ≤ 64 chars |
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/firewall/ipset/{name}/{cidr}
proxmox.nodes.$(node).lxc.$(vmid).firewall.ipset.$(name).$(cidr).$get()Read IP or Network settings from IPSet.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
cidr | string | yes | Network/IP specification in CIDR format. — format IPorCIDRorAlias |
name | string | yes | IP set name. — ≤ 64 chars |
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
PUT /nodes/{node}/lxc/{vmid}/firewall/ipset/{name}/{cidr}
proxmox.nodes.$(node).lxc.$(vmid).firewall.ipset.$(name).$(cidr).$put()Update IP or Network settings
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
cidr | string | yes | Network/IP specification in CIDR format. — format IPorCIDRorAlias |
comment | string | format pve-fw-comment-spec | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
name | string | yes | IP set name. — ≤ 64 chars |
node | string | yes | The cluster node name. — format pve-node |
nomatch | boolean | ||
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
DELETE /nodes/{node}/lxc/{vmid}/firewall/ipset/{name}/{cidr}
proxmox.nodes.$(node).lxc.$(vmid).firewall.ipset.$(name).$(cidr).$delete()Remove IP or Network from IPSet.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
cidr | string | yes | Network/IP specification in CIDR format. — format IPorCIDRorAlias |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
name | string | yes | IP set name. — ≤ 64 chars |
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/firewall/log
proxmox.nodes.$(node).lxc.$(vmid).firewall.log.$get()Read firewall log
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
limit | number | min 0 | |
node | string | yes | The cluster node name. — format pve-node |
since | number | Display log since this UNIX epoch. — min 0 | |
start | number | min 0 | |
until | number | Display log until this UNIX epoch. — min 0 | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/firewall/options
proxmox.nodes.$(node).lxc.$(vmid).firewall.options.$get()Get VM firewall options.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
PUT /nodes/{node}/lxc/{vmid}/firewall/options
proxmox.nodes.$(node).lxc.$(vmid).firewall.options.$put()Set Firewall options.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
delete | string | A list of settings you want to delete. — format pve-configid-list | |
dhcp | boolean | Enable DHCP. — default 0 | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
enable | boolean | Enable/disable firewall rules. — default 0 | |
ipfilter | boolean | Enable default IP filters. This is equivalent to adding an empty ipfilter-net<id> ipset for every interface. Such ipsets implicitly contain sane default restrictions such as restricting IPv6 link local addresses to the one derived from the interface's MAC address. For containers the configured IP addresses will be implicitly added. | |
log_level_in | emerg | alert | crit | err | warning | notice | info | debug | … (1 more) | Log level for incoming traffic. | |
log_level_out | emerg | alert | crit | err | warning | notice | info | debug | … (1 more) | Log level for outgoing traffic. | |
macfilter | boolean | Enable/disable MAC address filter. — default 1 | |
ndp | boolean | Enable NDP (Neighbor Discovery Protocol). — default 1 | |
node | string | yes | The cluster node name. — format pve-node |
policy_in | ACCEPT | REJECT | DROP | Input policy. | |
policy_out | ACCEPT | REJECT | DROP | Output policy. | |
radv | boolean | Allow sending Router Advertisement. | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/firewall/refs
proxmox.nodes.$(node).lxc.$(vmid).firewall.refs.$get()Lists possible IPSet/Alias reference which are allowed in source/dest properties.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
type | alias | ipset | Only list references of specified type. | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/firewall/rules
proxmox.nodes.$(node).lxc.$(vmid).firewall.rules.$get()List rules.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
POST /nodes/{node}/lxc/{vmid}/firewall/rules
proxmox.nodes.$(node).lxc.$(vmid).firewall.rules.$post()Create new rule.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
action | string | yes | Rule action ('ACCEPT', 'DROP', 'REJECT') or security group name. — ≤ 20 chars |
comment | string | Descriptive comment. — format pve-fw-comment-spec | |
dest | string | Restrict packet destination address. This can refer to a single IP address, an IP set ('+ipsetname') or an IP alias definition. You can also specify an address range like '20.34.101.207-201.3.9.99', or a list of IP addresses and networks (entries are separated by comma). Please do not mix IPv4 and IPv6 addresses inside such lists. — format pve-fw-addr-spec, ≤ 512 chars | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
dport | string | Restrict TCP/UDP destination port. You can use service names or simple numbers (0-65535), as defined in '/etc/services'. Port ranges can be specified with '\d+:\d+', for example '80:85', and you can use comma separated list to match several ports or ranges. — format pve-fw-dport-spec | |
enable | number | Flag to enable/disable a rule. — min 0 | |
icmp-type | string | Specify icmp-type. Only valid if proto equals 'icmp' or 'icmpv6'/'ipv6-icmp'. — format pve-fw-icmp-type-spec | |
iface | string | Network interface name. You have to use network configuration key names for VMs and containers ('net\d+'). Host related rules can use arbitrary strings. — format pve-iface, ≤ 20 chars | |
log | emerg | alert | crit | err | warning | notice | info | debug | … (1 more) | Log level for firewall rule. | |
macro | string | Use predefined standard macro. — ≤ 128 chars | |
node | string | yes | The cluster node name. — format pve-node |
pos | number | Update rule at position <pos>. — min 0 | |
proto | string | IP protocol. You can use protocol names ('tcp'/'udp') or simple numbers, as defined in '/etc/protocols'. — format pve-fw-protocol-spec | |
source | string | Restrict packet source address. This can refer to a single IP address, an IP set ('+ipsetname') or an IP alias definition. You can also specify an address range like '20.34.101.207-201.3.9.99', or a list of IP addresses and networks (entries are separated by comma). Please do not mix IPv4 and IPv6 addresses inside such lists. — format pve-fw-addr-spec, ≤ 512 chars | |
sport | string | Restrict TCP/UDP source port. You can use service names or simple numbers (0-65535), as defined in '/etc/services'. Port ranges can be specified with '\d+:\d+', for example '80:85', and you can use comma separated list to match several ports or ranges. — format pve-fw-sport-spec | |
type | in | out | forward | group | yes | Rule type. |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/firewall/rules/{pos}
proxmox.nodes.$(node).lxc.$(vmid).firewall.rules.$(pos).$get()Get single rule data.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
pos | number | Update rule at position <pos>. — min 0 | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
PUT /nodes/{node}/lxc/{vmid}/firewall/rules/{pos}
proxmox.nodes.$(node).lxc.$(vmid).firewall.rules.$(pos).$put()Modify rule data.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
action | string | Rule action ('ACCEPT', 'DROP', 'REJECT') or security group name. — ≤ 20 chars | |
comment | string | Descriptive comment. — format pve-fw-comment-spec | |
delete | string | A list of settings you want to delete. — format pve-configid-list | |
dest | string | Restrict packet destination address. This can refer to a single IP address, an IP set ('+ipsetname') or an IP alias definition. You can also specify an address range like '20.34.101.207-201.3.9.99', or a list of IP addresses and networks (entries are separated by comma). Please do not mix IPv4 and IPv6 addresses inside such lists. — format pve-fw-addr-spec, ≤ 512 chars | |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
dport | string | Restrict TCP/UDP destination port. You can use service names or simple numbers (0-65535), as defined in '/etc/services'. Port ranges can be specified with '\d+:\d+', for example '80:85', and you can use comma separated list to match several ports or ranges. — format pve-fw-dport-spec | |
enable | number | Flag to enable/disable a rule. — min 0 | |
icmp-type | string | Specify icmp-type. Only valid if proto equals 'icmp' or 'icmpv6'/'ipv6-icmp'. — format pve-fw-icmp-type-spec | |
iface | string | Network interface name. You have to use network configuration key names for VMs and containers ('net\d+'). Host related rules can use arbitrary strings. — format pve-iface, ≤ 20 chars | |
log | emerg | alert | crit | err | warning | notice | info | debug | … (1 more) | Log level for firewall rule. | |
macro | string | Use predefined standard macro. — ≤ 128 chars | |
moveto | number | Move rule to new position <moveto>. Other arguments are ignored. — min 0 | |
node | string | yes | The cluster node name. — format pve-node |
pos | number | Update rule at position <pos>. — min 0 | |
proto | string | IP protocol. You can use protocol names ('tcp'/'udp') or simple numbers, as defined in '/etc/protocols'. — format pve-fw-protocol-spec | |
source | string | Restrict packet source address. This can refer to a single IP address, an IP set ('+ipsetname') or an IP alias definition. You can also specify an address range like '20.34.101.207-201.3.9.99', or a list of IP addresses and networks (entries are separated by comma). Please do not mix IPv4 and IPv6 addresses inside such lists. — format pve-fw-addr-spec, ≤ 512 chars | |
sport | string | Restrict TCP/UDP source port. You can use service names or simple numbers (0-65535), as defined in '/etc/services'. Port ranges can be specified with '\d+:\d+', for example '80:85', and you can use comma separated list to match several ports or ranges. — format pve-fw-sport-spec | |
type | in | out | forward | group | Rule type. | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
DELETE /nodes/{node}/lxc/{vmid}/firewall/rules/{pos}
proxmox.nodes.$(node).lxc.$(vmid).firewall.rules.$(pos).$delete()Delete rule.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
node | string | yes | The cluster node name. — format pve-node |
pos | number | Update rule at position <pos>. — min 0 | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/interfaces
proxmox.nodes.$(node).lxc.$(vmid).interfaces.$get()Get IP addresses of the specified container interface.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/migrate
proxmox.nodes.$(node).lxc.$(vmid).migrate.$get()Get preconditions for migration.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
target | string | Target node. — format pve-node | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
POST /nodes/{node}/lxc/{vmid}/migrate
proxmox.nodes.$(node).lxc.$(vmid).migrate.$post()Migrate the container to another node. Creates a new migration task.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
bwlimit | number | Override I/O bandwidth limit (in KiB/s). — min 0, default "migrate limit from datacenter or storage config" | |
node | string | yes | The cluster node name. — format pve-node |
online | boolean | Use online/live migration. | |
restart | boolean | Use restart migration | |
target | string | yes | Target node. — format pve-node |
target-storage | string | Mapping from source to target storages. Providing only a single storage ID maps all source storages to that storage. Providing the special value '1' will map each source storage to itself. — format storage-pair-list | |
timeout | number | Timeout in seconds for shutdown for restart migration — default 180 | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
POST /nodes/{node}/lxc/{vmid}/move_volume
proxmox.nodes.$(node).lxc.$(vmid).move_volume.$post()Move a rootfs-/mp-volume to a different storage or to a different container.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
bwlimit | number | Override I/O bandwidth limit (in KiB/s). — min 0, default "clone limit from datacenter or storage config" | |
delete | boolean | Delete the original volume after successful copy. By default the original is kept as an unused volume entry. — default 0 | |
digest | string | Prevent changes if current configuration file has different SHA1 " . "digest. This can be used to prevent concurrent modifications. — ≤ 40 chars | |
node | string | yes | The cluster node name. — format pve-node |
storage | string | Target Storage. — format pve-storage-id | |
target-digest | string | Prevent changes if current configuration file of the target " . "container has a different SHA1 digest. This can be used to prevent " . "concurrent modifications. — ≤ 40 chars | |
target-vmid | number | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 | |
target-volume | rootfs | mp0 | mp1 | mp2 | mp3 | mp4 | mp5 | mp6 | … (505 more) | The config key the volume will be moved to. Default is the source volume key. | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
volume | rootfs | mp0 | mp1 | mp2 | mp3 | mp4 | mp5 | mp6 | … (505 more) | yes | Volume which will be moved. |
POST /nodes/{node}/lxc/{vmid}/mtunnel
proxmox.nodes.$(node).lxc.$(vmid).mtunnel.$post()Migration tunnel endpoint - only for internal use by CT migration.
Returns any.
| Parameter | Type | Required | Notes |
|---|---|---|---|
bridges | string | List of network bridges to check availability. Will be checked again for actually used bridges during migration. — format pve-bridge-id-list | |
node | string | yes | The cluster node name. — format pve-node |
storages | string | List of storages to check permission and availability. Will be checked again for all actually used storages during migration. — format pve-storage-id-list | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/mtunnelwebsocket
proxmox.nodes.$(node).lxc.$(vmid).mtunnelwebsocket.$get()Migration tunnel endpoint for websocket upgrade - only for internal use by VM migration.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
socket | string | yes | unix socket to forward to |
ticket | string | yes | ticket return by initial 'mtunnel' API call, or retrieved via 'ticket' tunnel command |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/pending
proxmox.nodes.$(node).lxc.$(vmid).pending.$get()Get container configuration, including pending changes.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
POST /nodes/{node}/lxc/{vmid}/remote_migrate
proxmox.nodes.$(node).lxc.$(vmid).remote_migrate.$post()Migrate the container to another cluster. Creates a new migration task. EXPERIMENTAL feature!
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
bwlimit | number | Override I/O bandwidth limit (in KiB/s). — min 0, default "migrate limit from datacenter or storage config" | |
delete | boolean | Delete the original CT and related data after successful migration. By default the original CT is kept on the source cluster in a stopped state. — default 0 | |
node | string | yes | The cluster node name. — format pve-node |
online | boolean | Use online/live migration. | |
restart | boolean | Use restart migration | |
target-bridge | string | yes | Mapping from source to target bridges. Providing only a single bridge ID maps all source bridges to that bridge. Providing the special value '1' will map each source bridge to itself. — format bridge-pair-list |
target-endpoint | string | yes | Remote target endpoint — format proxmox-remote |
target-storage | string | yes | Mapping from source to target storages. Providing only a single storage ID maps all source storages to that storage. Providing the special value '1' will map each source storage to itself. — format storage-pair-list |
target-vmid | number | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 | |
timeout | number | Timeout in seconds for shutdown for restart migration — default 180 | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
PUT /nodes/{node}/lxc/{vmid}/resize
proxmox.nodes.$(node).lxc.$(vmid).resize.$put()Resize a container mount point.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
digest | string | Prevent changes if current configuration file has different SHA1 digest. This can be used to prevent concurrent modifications. — ≤ 40 chars | |
disk | rootfs | mp0 | mp1 | mp2 | mp3 | mp4 | mp5 | mp6 | … (249 more) | yes | The disk you want to resize. |
node | string | yes | The cluster node name. — format pve-node |
size | string | yes | The new size. With the '+' sign the value is added to the actual size of the volume and without it, the value is taken as an absolute one. Shrinking disk size is not supported. |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/rrd
proxmox.nodes.$(node).lxc.$(vmid).rrd.$get()Read VM RRD statistics (returns PNG)
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
cf | AVERAGE | MAX | The RRD consolidation function | |
ds | string | yes | The list of datasources you want to display. — format pve-configid-list |
node | string | yes | The cluster node name. — format pve-node |
timeframe | hour | day | week | month | year | yes | Specify the time frame you are interested in. |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/rrddata
proxmox.nodes.$(node).lxc.$(vmid).rrddata.$get()Read VM RRD statistics
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
cf | AVERAGE | MAX | The RRD consolidation function | |
node | string | yes | The cluster node name. — format pve-node |
timeframe | hour | day | week | month | year | yes | Specify the time frame you are interested in. |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/snapshot
proxmox.nodes.$(node).lxc.$(vmid).snapshot.$get()List all snapshots.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
POST /nodes/{node}/lxc/{vmid}/snapshot
proxmox.nodes.$(node).lxc.$(vmid).snapshot.$post()Snapshot a container.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
description | string | A textual description or comment. | |
node | string | yes | The cluster node name. — format pve-node |
snapname | string | yes | The name of the snapshot. — format pve-configid, ≤ 40 chars |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/snapshot/{snapname}
proxmox.nodes.$(node).lxc.$(vmid).snapshot.$(snapname).$get()Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
snapname | string | yes | The name of the snapshot. — format pve-configid, ≤ 40 chars |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
DELETE /nodes/{node}/lxc/{vmid}/snapshot/{snapname}
proxmox.nodes.$(node).lxc.$(vmid).snapshot.$(snapname).$delete()Delete a LXC snapshot.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
force | boolean | For removal from config file, even if removing disk snapshots fails. | |
node | string | yes | The cluster node name. — format pve-node |
snapname | string | yes | The name of the snapshot. — format pve-configid, ≤ 40 chars |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/snapshot/{snapname}/config
proxmox.nodes.$(node).lxc.$(vmid).snapshot.$(snapname).config.$get()Get snapshot configuration
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
snapname | string | yes | The name of the snapshot. — format pve-configid, ≤ 40 chars |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
PUT /nodes/{node}/lxc/{vmid}/snapshot/{snapname}/config
proxmox.nodes.$(node).lxc.$(vmid).snapshot.$(snapname).config.$put()Update snapshot metadata.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
description | string | A textual description or comment. | |
node | string | yes | The cluster node name. — format pve-node |
snapname | string | yes | The name of the snapshot. — format pve-configid, ≤ 40 chars |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
POST /nodes/{node}/lxc/{vmid}/snapshot/{snapname}/rollback
proxmox.nodes.$(node).lxc.$(vmid).snapshot.$(snapname).rollback.$post()Rollback LXC state to specified snapshot.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
snapname | string | yes | The name of the snapshot. — format pve-configid, ≤ 40 chars |
start | boolean | Whether the container should get started after rolling back successfully — default 0 | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
POST /nodes/{node}/lxc/{vmid}/spiceproxy
proxmox.nodes.$(node).lxc.$(vmid).spiceproxy.$post()Returns a SPICE configuration to connect to the CT.
Returns any.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
proxy | string | SPICE proxy server. This can be used by the client to specify the proxy server. All nodes in a cluster runs 'spiceproxy', so it is up to the client to choose one. By default, we return the node where the VM is currently running. As reasonable setting is to use same node you use to connect to the API (This is window.location.hostname for the JS GUI). — format address | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/status
proxmox.nodes.$(node).lxc.$(vmid).status.$get()Directory index
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
GET /nodes/{node}/lxc/{vmid}/status/current
proxmox.nodes.$(node).lxc.$(vmid).status.current.$get()Get virtual machine status.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
POST /nodes/{node}/lxc/{vmid}/status/reboot
proxmox.nodes.$(node).lxc.$(vmid).status.reboot.$post()Reboot the container by shutting it down, and starting it again. Applies pending changes.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
timeout | number | Wait maximal timeout seconds for the shutdown. — min 0 | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
POST /nodes/{node}/lxc/{vmid}/status/resume
proxmox.nodes.$(node).lxc.$(vmid).status.resume.$post()Resume the container.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
POST /nodes/{node}/lxc/{vmid}/status/shutdown
proxmox.nodes.$(node).lxc.$(vmid).status.shutdown.$post()Shutdown the container. This will trigger a clean shutdown of the container, see lxc-stop(1) for details.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
forceStop | boolean | Make sure the Container stops. — default 0 | |
node | string | yes | The cluster node name. — format pve-node |
timeout | number | Wait maximal timeout seconds. — min 0, default 60 | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
POST /nodes/{node}/lxc/{vmid}/status/start
proxmox.nodes.$(node).lxc.$(vmid).status.start.$post()Start the container.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
debug | boolean | If set, enables very verbose debug log-level on start. — default 0 | |
node | string | yes | The cluster node name. — format pve-node |
skiplock | boolean | Ignore locks - only root is allowed to use this option. | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
POST /nodes/{node}/lxc/{vmid}/status/stop
proxmox.nodes.$(node).lxc.$(vmid).status.stop.$post()Stop the container. This will abruptly stop all processes running in the container.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
overrule-shutdown | boolean | Try to abort active 'vzshutdown' tasks before stopping. — default 0 | |
skiplock | boolean | Ignore locks - only root is allowed to use this option. | |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
POST /nodes/{node}/lxc/{vmid}/status/suspend
proxmox.nodes.$(node).lxc.$(vmid).status.suspend.$post()Suspend the container. This is experimental.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
POST /nodes/{node}/lxc/{vmid}/template
proxmox.nodes.$(node).lxc.$(vmid).template.$post()Create a Template.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
POST /nodes/{node}/lxc/{vmid}/termproxy
proxmox.nodes.$(node).lxc.$(vmid).termproxy.$post()Creates a TCP proxy connection.
Returns any.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
POST /nodes/{node}/lxc/{vmid}/vncproxy
proxmox.nodes.$(node).lxc.$(vmid).vncproxy.$post()Creates a TCP VNC proxy connections.
Returns any.
| Parameter | Type | Required | Notes |
|---|---|---|---|
height | number | sets the height of the console in pixels. — min 16, max 2160 | |
node | string | yes | The cluster node name. — format pve-node |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
websocket | boolean | use websocket instead of standard VNC. | |
width | number | sets the width of the console in pixels. — min 16, max 4096 |
GET /nodes/{node}/lxc/{vmid}/vncwebsocket
proxmox.nodes.$(node).lxc.$(vmid).vncwebsocket.$get()Opens a websocket for VNC traffic.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
port | number | yes | Port number returned by previous vncproxy call. — min 5900, max 5999 |
vmid | number | yes | The (unique) ID of the VM. — format pve-vmid, min 100, max 999999999 |
vncticket | string | yes | Ticket from previous call to vncproxy. — ≤ 512 chars |